/*
 * Copyright 2009 Francois Retief
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jetbrains.buildServer.buildTriggers.vcs.accurev;

import org.testng.*;
import org.testng.annotations.*;

import org.jmock.Mockery;
import org.jmock.Expectations;

/**
 * @author Francois Retief
 */
public class SampleTests
{
    @Test
    public void testSomething()
    {
        int a = 1;
        Assert.assertEquals(a, 1);
    }

    public interface IStuffAdder
    {
        public int AddStuff(int a, int b);
    }

    @Test
    public void testMocking()
    {

        Mockery context = new Mockery();

        final IStuffAdder dut = context.mock(IStuffAdder.class);

        // expectations
        context.checking(new Expectations() {{
            oneOf (dut).AddStuff(1, 2);
            will(returnValue(3));
        }});

        // execute
        int c = dut.AddStuff(1, 2);

        // verify
        context.assertIsSatisfied();
        Assert.assertEquals(c, 3);
    }
}
